//Titel:        JTree
//Copyright:     Copyright (c) 2003, 06, 2010
//Autor:         Dipl.-Inf., Dipl.-Ing. (FH) Michael Wilhelm
//Organisation:  HS Harz
//Beschreibung:  Einführung in JTree
//Version:       2.0
//letzte Aenderung: 07.11.2010


// Beispiel mit JTree, Knoten werden einfach eingetragen

import java.awt.*;
import javax.swing.*;

import java.awt.event.*;


public class Tree01 extends JFrame {

  JTree jTree1;

  public Tree01() {
    setSize(400, 300);
    setTitle("JTree 1. Beispiel");
    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    setGUI();
  }

  private void setGUI()  {

    this.getContentPane().setLayout( new BorderLayout() );

    jTree1 = new javax.swing.JTree();
    jTree1.setFont( new Font("Arial", Font.BOLD,18)  );

    this.getContentPane().add(jTree1, BorderLayout.CENTER);
  } // setGUI



  public static void main(String[] args) {
    Tree01 frame = new Tree01();
    frame.setVisible(true);
 }


}  // 1. Beispiel


